using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Android.App;
using Android.Content;
using Android.OS;
using Android.Runtime;
using Android.Views;
using Android.Widget;

namespace DataTable_Filtering
{
    public class BookRepository
    {
        public BookRepository()
        {
        }

        #region private variables

        private Random random = new Random();

        #endregion

        #region GetBookDetails

        public List<BookInfo> GetBookDetails(int count)
        {
            List<BookInfo> bookDetails = new List<BookInfo>();

            for (int i = 1; i <= count; i++)
            {
                var ord = new BookInfo()
                {
                    CustomerID = i,
                    BookID = BookID[random.Next(8)],
                    BookName = BookNames[random.Next(5)],
                    Country = Country[random.Next(8)],
                    Price = random.Next(30, 200),
                    FirstName = FirstNames[random.Next(7)],
                    LastName = LastNames[random.Next(9)],
                };
                bookDetails.Add(ord);
            }
            return bookDetails;
        }

        #endregion

        #region DataSource

        string[] BookNames = new string[] {
            "Lucky Jim",
            "Money",
            "The Information",
            "The BottleFactory",
            "Flauberts Parrot",
            "Molloy",
            "Queen Lucia",
            "A Good Man",
            "The History Man",
            "The Horse",
            "Chocolate",
            "Just Willams",
            "Tom jones",
            "Caprice",
            "Towards the End ",
            "Polygots",
            "Death Soul",
            "Charade",
            "Changing places",
            "Under the Net",
            "Fire Flies",

        };

        int[] BookID = new int[] {
            1803,
            1345,
            4523,
            4932,
            9475,
            5243,
            4263,
            2435,
            3527,
            3634,
            2523,
            3652,
            3524,
            6532,
            2123
        };

        string[] Country = new string[] {
            "India",
            "Europe",
            "America",
            "Europe",
            "Pakistan",
            "England",
            "France",
            "Bangladesh",
            "Argentina",
            "Austria",
            "Belgium",
            "Brazil",
            "Canada",
            "Denmark",
            "Finland",
            "France",
            "Germany",
            "Ireland",
            "Italy",
            "Mexico",
            "Norway",
            "Poland",
            "Portugal",
            "Spain",
            "Sweden",
            "Switzerland",
            "UK",
            "USA",
            "Venezuela"
        };

        string[] FirstNames = new string[] {
            "Kyle",
            "Gina",
            "Irene",
            "Katie",
            "Michael",
            "Oscar",
            "Ralph",
            "Torrey",
            "William",
            "Bill",
            "Daniel",
            "Frank",
            "Brenda",
            "Danielle",
            "Fiona",
            "Howard",
            "Jack",
            "Larry",
            "Holly",
            "Jennifer",
            "Liz",
            "Pete",
            "Steve",
            "Vince",
            "Zeke"
        };

        string[] LastNames = new string[] {
            "Adams",
            "Crowley",
            "Ellis",
            "Gable",
            "Irvine",
            "Keefe",
            "Mendoza",
            "Owens",
            "Rooney",
            "Waddell",
            "Thomas",
            "Betts",
            "Doran",
            "Fitzgerald",
            "Holmes",
            "Jefferson",
            "Landry",
            "Newberry",
            "Perez",
            "Spencer",
            "Vargas",
            "Grimes",
            "Edwards",
            "Stark",
            "Cruise",
            "Fitz",
            "Chief",
            "Blanc",
            "Perry",
            "Stone",
            "Williams",
            "Lane",
            "Jobs"
        };

        #endregion
    }
}